当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求助,安装不了CodeBlocks
帖子发表于 : 2009-06-14 7:31 

注册: 2009-06-11 18:56
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
codeblocks: 依赖: libwxbase2.8-0 (>= 2.8.9.1) 但是它将不会被安装
依赖: libwxgtk2.8-0 (>= 2.8.9.1) 但是它将不会被安装
codeblocks-contrib: 依赖: codeblocks (= 8.02-0ubuntu1) 但是 8.02-0ubuntu3 正要被安装
codeblocks-dbg: 依赖: codeblocks (= 8.02-0ubuntu1) 但是 8.02-0ubuntu3 正要被安装
libcodeblocks0: 依赖: libwxgtk2.8-0 (>= 2.8.7) 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。



请问是什么原因???


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 求助,安装不了CodeBlocks
帖子发表于 : 2009-06-14 7:39 

注册: 2008-06-15 10:54
帖子: 75
送出感谢: 0 次
接收感谢: 0 次
codeblocks依赖于某些软件包,但那些软件包由于某些原因没安装成功,所codeblocks也就安装不成功了。楼主按照输入提示的命令就能解决问题了。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 求助,安装不了CodeBlocks
帖子发表于 : 2009-06-14 7:41 

注册: 2009-06-11 18:56
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
输入以后提示相同。。。


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 求助,安装不了CodeBlocks
帖子发表于 : 2009-06-14 7:42 

注册: 2009-06-11 18:56
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
重新修复那些包就可以了是么》??


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 求助,安装不了CodeBlocks
帖子发表于 : 2009-06-14 9:04 
头像

注册: 2007-08-05 17:40
帖子: 4968
送出感谢: 0 次
接收感谢: 4
检查你的源。


_________________
free VPN
YouKuDownLoader
代码:
pip3 install ykdl

install YouKuDownLoader, have fun in downloading.
YouKuDownLoader所支持网站列表


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 求助,安装不了CodeBlocks
帖子发表于 : 2009-06-14 9:54 

注册: 2009-06-13 22:51
帖子: 20
送出感谢: 0 次
接收感谢: 0 次
重新修复那些包


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 求助,安装不了CodeBlocks
帖子发表于 : 2009-06-14 10:00 
头像

注册: 2007-07-30 18:28
帖子: 22033
地址: 空气中
系统: Linux
送出感谢: 17
接收感谢: 68
楼主因为联网不方便恐怕是单独下载了这个包。这类问题很麻烦的。


_________________
『这个世界都是我的 ,我爱你们』

ENTP ⥂ INTP ⥄ INFP ⇦ INTJ

在此发布的文章使用 Creative Commons Attribution-ShareAlike 4.0 协议


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译